Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(242)

Issue 2827603005: Cater for the "double close" when clicking "Learn More" on auto-dismiss extension bubbles. (Closed)

Created:
1 year, 1 month ago by tapted
Modified:
1 year, 1 month ago
Reviewers:
Finnur, Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, tfarina, extensions-reviews_chromium.org, chrome-apps-syd-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Cater for the "double close" when clicking "Learn More" on auto-dismiss extension bubbles. This fixes a regression from r459382 where clicking a "Learn More" link on the NTP override bubble can spew out tabs. The problem is that opening a tab may defocus the bubble, triggering a Close(). The extension bubble client must still call close since there's no guarantee that the defocus may trigger a close. To fix, Close() needs more awareness of whether it is closed via being deactivated by the user, via being deactivated by the delegate opening a link, or via being explicitly closed by LinkClicked(). Currently it only caters for two of these cases. We can more clearly capture the use case simply by ensuring the delegate is not notified multiple times by setting a flag. BUG=712545 Review-Url: https://codereview.chromium.org/2827603005 Cr-Commit-Position: refs/heads/master@{#466228} Committed: https://chromium.googlesource.com/chromium/src/+/d7340b19e7dd13c8379174ad50ce2c8220637aa7

Patch Set 1 #

Patch Set 2 : nit comment #

Total comments: 8

Patch Set 3 : respond to comments #

Total comments: 4

Patch Set 4 : resilience #

Unified diffs Side-by-side diffs Delta from patch set Stats (+56 lines, -14 lines) Patch
M chrome/browser/ui/extensions/extension_message_bubble_browsertest.h View 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/extensions/extension_message_bubble_browsertest.cc View 1 chunk +11 lines, -2 lines 0 comments Download
M chrome/browser/ui/views/extensions/extension_message_bubble_view_browsertest.cc View 3 chunks +22 lines, -5 lines 0 comments Download
M chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc View 1 2 3 3 chunks +19 lines, -4 lines 0 comments Download

Messages

Total messages: 28 (18 generated)
tapted
Hi Finnur - please take a look (you were right - there _was_ a weird ...
1 year, 1 month ago (2017-04-19 06:22:03 UTC) #7
Finnur
Thanks for following up on this. I would like Devlin to take a look at ...
1 year, 1 month ago (2017-04-19 14:11:06 UTC) #9
Devlin
A few nits. I think these aren't too much from the new code as the ...
1 year, 1 month ago (2017-04-19 15:04:22 UTC) #10
tapted
PTAL On 2017/04/19 15:04:22, Devlin wrote: > A few nits. I think these aren't too ...
1 year, 1 month ago (2017-04-20 11:55:42 UTC) #15
Devlin
lgtm https://codereview.chromium.org/2827603005/diff/40001/chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc File chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc (right): https://codereview.chromium.org/2827603005/diff/40001/chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc#newcode103 chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc:103: // If delegate_->OnBubbleClosed() was called by LinkClicked(), the ...
1 year, 1 month ago (2017-04-20 16:12:15 UTC) #16
tapted
https://codereview.chromium.org/2827603005/diff/40001/chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc File chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc (right): https://codereview.chromium.org/2827603005/diff/40001/chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc#newcode103 chrome/browser/ui/views/toolbar/toolbar_actions_bar_bubble_views.cc:103: // If delegate_->OnBubbleClosed() was called by LinkClicked(), the bubble ...
1 year, 1 month ago (2017-04-21 00:24:33 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2827603005/60001
1 year, 1 month ago (2017-04-21 00:24:58 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/427446) win_clang on master.tryserver.chromium.win (JOB_FAILED, ...
1 year, 1 month ago (2017-04-21 00:27:02 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2827603005/60001
1 year, 1 month ago (2017-04-21 01:02:32 UTC) #25
commit-bot: I haz the power
1 year, 1 month ago (2017-04-21 02:08:31 UTC) #28
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/d7340b19e7dd13c8379174ad50ce...

Powered by Google App Engine
This is Rietveld 408576698